Filewatcher File Search File Search
Catalog
Content Search
» » » » » mlterm-3.0.2.tar.gz » Content »
pkg://mlterm-3.0.2.tar.gz:2678853/mlterm-3.0.2/  info  downloads

README

MLTERM - Multi Lingual TERMinal emulator on X


COMPILATION
===========

  $ ./configure
  $ make

Options for configure
---------------------

  --prefix
    Installation prefix

  --disable-dl-table
    Disable dynamic loading of character mapping or property table,
    which is statically linked to libmkf.
  
  --without-map-table
    Remove character mapping table

  --without-prop-table
    Remove character property table

  --with-gui=(xlib|win32)
    Use specified gui library.
  
  --with-imagelib=(gdk-pixbuf)
    Use specified image library for image processing
    (Imlib is not supported from 3.0.2)

  --with-libltdl
    load modules with libltdl

  --with-type-engines=(xcore|xft)
    Use specified type engines for rendering text
    (--enable-anti-alias == --with-type-engines=xcore,xft)

  --enable-fribidi
    Use Fribidi for BiDi rendering

  --enable-ind
    Use libind for ISCII rendering

  --enable-utmp
    Use utmp,wtmp,lastlog

  --enable-debug
    Build debug version

  --enable-optimize-redrawing
    Optimize redrawing a line

  --with-scrollbars
    Build specified scrollbars in scrollbar/ and contrib/scrollbar/ directories

  --with-tools
    Build specified tools in tool/ and contrib/tool/ directories

  --disable-dnd
    Disable XDnD.

  --disable-kbd
    Disable kbd input method for Arabic, Hebrew and Indic.

  --enable-uim
    Support uim (Universal? Input Method) if available.

  --enable-iiimf
    Support IIIMF (Internet/Intranet Input Method Framework) if available.

  --enable-m17nlib
    Support m17n library if available.

  --enable-scim
    Support SCIM (Smart Common Input Method platform) if available.

  --enable-pty-helper
    Support gnome-pty-helper. (Note that it is impossible to enable
    gnome-pty-helper in BSD style pty system and that gnome-pty-helper must be
    placed at ${libexecdir}/ directory.)

  --disable-shared
    Disable shared libraries

  --disable-static
    Disable static libraries


What you need for compilation
-----------------------------

  All you need for basic compilation is libc and Xlib.  You don't need
  internationalization support of OS because mlterm has own i18n code.

  XFree86 4.0.2 or above and FreeType 2.0.2 or above are needed for
  anti-alias.

  gdk-pixbuf (Gtk+ 2.0.1 or higher) for background image.

  Gtk+ (2.x ?) for GUI configurator "mlconfig" and "mlterm-menu".

  Gtk+ (2.x ?) for libvte.

  Fribidi (0.9.0 - ?) for Bidi.

  libind for ISCII.


Supported platforms
-------------------

  Platforms tested by developers.

  * NetBSD 3.0.1 (x86)
  * OpenSolaris 2009.06 (CC=cc) (x86)
  * Ubuntu 10.10 (x86)
  * CentOS 5 (x86)
  * MS Windows XP SP3 (x86)
  * MS Windows XP SP3/MSYS 1.0.10 (x86)
  * MS Windows XP SP3/Cygwin 1.7.1-1 (x86)
  * MS Windows XP SP3/Cygwin 1.7.1-1 with X (x86)

  Following platforms are not actually tested by developers, but were supported
  in the past and are probably supported now.

  * Debian GNU/Linux Sid, GNU libc 2.3.2 (x86)
  * Solaris 8 (x86)
  * Solaris 2.6 (SunOS 5.6) (CC=cc)
  * Mac OS X 10.2 (ppc)
  * OpenBSD 3.5 (x86)
  * Fedora Core 2 (x86)
  * SuSE Linux 9.1 (x86)
  * HP-UX 10.20 (CC="cc -Ae")
  * EWS4800 (UX/4800 R11.7) + X11R6 (CC=/usr/abiccs/bin/cc)
  * EWS4800 (UX/4800 R13.5, 64bit) (CC=/usr/ccs64/bin/cc)
  * FreeBSD 3.3R
  * FreeBSD 4.4R
  * NetBSD 1.6Q current (x86)
  * NetBSD 1.6.2 (x86)
  * RedHat Linux 7.1
  * Ubuntu 10.04 (x86)
  * MS Windows 98/Cygwin 1.5.13 with x-org 6.8.2.0-1 (x86)


USAGE
=====

  Read the manpage for detail.


CONTACT
=======

  Subscribe mlterm-dev-en ML
  (http://lists.sourceforge.net/lists/listinfo/mlterm-dev-en).


COPYRIGHT AND LICENSE
=====================

  Modified BSD-style license.  See LICENCE file for detail.

Results 1 - 1 of 1
Help - FTP Sites List - Software Dir.
Search over 15 billion files
© 1997-2017 FileWatcher.com